<!DOCTYPE html>
<html lang="en">

  <head>
    <meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

<meta property="og:title" content="Why A Frozen Head Slows My Films Right Down" />
<meta property="og:description" content="What the hell takes so long in my filmmaking?
That&rsquo;s a question I&rsquo;ve been spending a lot of time asking myself recently.
As of Friday, I&rsquo;ve just completed the Release Candidate render for Death Knight Love Story, which I started making in 2009. Before that, I took approximately the same length of time to make my first feature film, BloodSpell.
Both of these are pretty significant projects, granted. One of them stars Brian Blessed, Joanna Lumley, Jack Davenport and Anna Chancellor." />
<meta property="og:type" content="article" />
<meta property="og:url" content="http://www.strangecompany.org/why-a-frozen-head-slows-my-films-right-down/" />


<meta property="og:updated_time" content="2013-11-18T12:09:02&#43;00:00"/>











<meta itemprop="name" content="Why A Frozen Head Slows My Films Right Down">
<meta itemprop="description" content="What the hell takes so long in my filmmaking?
That&rsquo;s a question I&rsquo;ve been spending a lot of time asking myself recently.
As of Friday, I&rsquo;ve just completed the Release Candidate render for Death Knight Love Story, which I started making in 2009. Before that, I took approximately the same length of time to make my first feature film, BloodSpell.
Both of these are pretty significant projects, granted. One of them stars Brian Blessed, Joanna Lumley, Jack Davenport and Anna Chancellor.">


<meta itemprop="dateModified" content="2013-11-18T12:09:02&#43;00:00" />
<meta itemprop="wordCount" content="1548">



<meta itemprop="keywords" content="carcosa,classic-posts-from-machinima.com,comics,culture-and-law,death-knight-love-story,film-releases,game-design,guest-posting,history-of-machinima,kamikaze-cookery,live-action,machinima-in-the-news,motion-capture,offsite-articles,press-for-hugh-and-strangeco,research,talks,the-new-plan,virtual-reality,wierd-fantasy,2015,3d-chatroom,3d-engine,3dr-solo,adventure,after-effects,amazon,animation,anna-chancellor,appearances,artery,articles,audio,audio-drama,auld-reekie,awards,behind-the-scenes,blasphemous,blizzard,bloodspell,boingboing,brian-blessed,cambridge-film-festival,camerawork,capcom,carcosa,cellar-and-tower,cgi,characters,charles-stross,chris-jones,claws,cliffs,comedy,comic,comics,communication,conpulsion,convention,copyright,cthulhu,cthulhu-mythos,cutscenes,dangerous-treasures,dark-souls,darkening-twilight,daz3d,death-knight-love-story,death-marches,demon,development,dkls,dmca,dmfest,documentary,dota,drones,dvd,edinburgh,edinburgh-festival,edinburgh-interactive-entertainment-festival,eldrich,eschaton,esoterica,eula,experiments,eye-of-the-tower,facial-animation,fair-game,fair-trade,fair-use,fanfic,fantasy,fargo-film-festival,faust,faustian-bargain,feature-film,film,film-festivals,film-industry,filmmaking,filter-bubble,follow-focus,forbes,free-feature-film,fthagn,full-ownership,gamasutra,game-design,game-development,game-engine,games,gareth-edwards,gear-vr,geek,geek-lovecraft,gimbals,google,gopro,gpu-rendering,greenscreen,guest-blog,guest-posts,gyroscopes,half-life,hand-of-glory,have-you-seen-the-spires,hdri,history,horroc-comedy,horror,howto,howto-demon-summoning,howto-resurrection,howtodemon-summoning,htc-vive,hugh,hugh-hancock,ia,imus,independent,indie,indie-filmmaking,indiedev,inquisitors-oath,intellectual-property,interactive,interview,jack-davenport,joanna-lumley,johnnie-ingram,jrpg,kamikaze-cookery,king-in-yellow,language,languages,law,leap-motion,left-hand-path,left-handed-path,lessons-learned,lets-play,lily-drone,live-action,lord-byron,lovecraft,low-light,lumberyard,machinima,machinima.com,magic-of-the-dark,male-restroom-etiquette,matinee,matrix,matrix-4x1,mediums,minecraft,mmorpgs,mocap,motion-capture,motionbuilder,movies,mvn,mystery,nebula-4000,nell-gwyn,new-project,no-share,non-narrative,npr,occult,octane-render,oculus-rift,otoy,paddy-easton,panorama,paul-hamilton,paul-marino,performance-capture,pgwlnafh,pictures,pilot,pipeline,podcasting,podcasts,pre-rendering,press,private-servers,procedural-generation,props,punk,puppetry,quake-movie,radio,radio-plays,raindance,rando-cardrissian,release,renderers,rendering,research,rlyeh,robots,roger-ebert,romantic-poets,roomscale,rpg,rpgs,scripts,second-life,serialised-video,shambler,shoggoth,short-film,singapore,sinister,soloshot,sony-a7s,squamous,startup,stereo-cubemap,stone-and-sorcery,stories,stunts,subtitles,tarot,technical,telltale-games,test-project,text,the-future,the-goat-of-the-woods-with-a-thousand-young,the-guardian,the-return,the-scotsman,the-sims,time-travellers,trailer,tv,twitter,unity,unity-3d,unreal,upcoming,vfx,virtual-camera,virtual-reality,virtual-sets,visual-effects,vive,voxels,vr,vrjam,webcomic,websites,weird,westcott-icelight,when-we-two-parted,wholetsplay,why-machinima,work-in-progress,world-of-warcraft,wow,wow-insider,xsens," />



  <meta name="twitter:card" content="summary"/>



<meta name="twitter:title" content="Why A Frozen Head Slows My Films Right Down"/>
<meta name="twitter:description" content="What the hell takes so long in my filmmaking?
That&rsquo;s a question I&rsquo;ve been spending a lot of time asking myself recently.
As of Friday, I&rsquo;ve just completed the Release Candidate render for Death Knight Love Story, which I started making in 2009. Before that, I took approximately the same length of time to make my first feature film, BloodSpell.
Both of these are pretty significant projects, granted. One of them stars Brian Blessed, Joanna Lumley, Jack Davenport and Anna Chancellor."/>










<meta name="generator" content="Hugo 0.18" />


    <link rel="canonical" href="index.html">

    <title>Why A Frozen Head Slows My Films Right Down | Strange Company - Creating Virtual Worlds For 2 Decades</title>

    <!-- combined, minified CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-alpha.6/css/bootstrap.min.css" integrity="sha384-rwoIResjU2yc3z8GV/NPeZWAv56rSmLldC3R/AZzGRnGxQQKnKkoFVhFQhNUwEyJ" crossorigin="anonymous">

    

    
<script>
window.ga=window.ga||function(){(ga.q=ga.q||[]).push(arguments)};ga.l=+new Date;
ga('create', 'UA-696676-12', 'auto');
ga('send', 'pageview');
</script>
<script async src='http://www.google-analytics.com/analytics.js'></script>


    

    


	
<style>

  @font-face{font-family:FontAwesome;src:url("http://d33wubrfki0l68.cloudfront.net/d980c2ce873dc43af460d4d572d441304499f400/44fd9/fonts/fontawesome-webfont.eot");src:url("http://d33wubrfki0l68.cloudfront.net/d980c2ce873dc43af460d4d572d441304499f400/44fd9/fonts/fontawesome-webfont.eot#iefix&v=4.7.0") format("embedded-opentype"),url("http://d33wubrfki0l68.cloudfront.net/d6f48cba7d076fb6f2fd6ba993a75b9dc1ecbf0c/a8490/fonts/fontawesome-webfont.woff2") format("woff2"),url("http://d33wubrfki0l68.cloudfront.net/28b782240b3e76db824e12c02754a9731a167527/9333f/fonts/fontawesome-webfont.woff") format("woff"),url("http://d33wubrfki0l68.cloudfront.net/13b1eab65a983c7a73bc7997c479d66943f7c6cb/8dbd9/fonts/fontawesome-webfont.ttf") format("truetype"),url("http://d33wubrfki0l68.cloudfront.net/98a8aa5cf7d62c2eff5f07ede8d844b874ef06ed/62e61/fonts/fontawesome-webfont.svg#fontawesomeregular") format("svg");font-weight:400;font-style:normal}.fa{display:inline-block;font:normal normal normal 14px/1 FontAwesome;font-size:inherit;text-rendering:auto;-webkit-font-smoothing:antialiased;-moz-osx-font-smoothing:grayscale}.fa-lg{font-size:1.333333em;line-height:.75em;vertical-align:-15%}.fa-2x{font-size:2em}.fa-3x{font-size:3em}.fa-4x{font-size:4em}.fa-5x{font-size:5em}.fa-fw{width:1.285714em;text-align:center}.fa-tag:before{content:""}.fa-folder:before{content:""}.fa-facebook:before{content:""}.fa-google-plus:before{content:""}.fa-linkedin:before{content:""}.fa-rss:before{content:""}.fa-rss-square:before{content:""}.fa-twitter:before{content:""}.sr-only{position:absolute;width:1px;height:1px;padding:0;margin:-1px;overflow:hidden;clip:rect(0,0,0,0);border:0}.sr-only-focusable:active,.sr-only-focusable:focus{position:static;width:auto;height:auto;margin:0;overflow:visible;clip:auto}

h1{
    padding-bottom: 1em;
}
.intro {
	padding: 1em 0 2.6em 0;
	text-align: center;
}
.intro img {
	max-height: 160px;
	border-radius: 50%;
}
.container{
    max-width: 1000px; 
}
h2{
    font-size:2em;
}
body {
	color: #333;
	font-family: 'Noticia Text', Georgia, serif;
	font-size: 1em;
	line-height: 1.5625;
	-webkit-text-size-adjust: none;
}

blockquote {
	position: relative;
	margin: 2em 0;
	padding: .4em 1.2em;
	font-size: 1.25em;
	font-weight: 400;
	font-style: italic;
	line-height: 1.5;
}

.aligncenter, .alignnone, .alignright, .alignleft {
	display: block;
	margin: 1.6em auto;
	clear: both;
}

.alignleft {
	float: left;
	margin: .4em 2em 1em 0;
}

.alignright {
	float: left;
	margin: .4em 2em 1em 0;
}

article img {width: 110%; margin-left: -5%; margin-top: 30px; margin-bottom: 30px; }

blockquote.alignleft, blockquote.alignright {
	width: 50% !important;
	padding-bottom: 0;
}

blockquote cite {
	display: block;
	font-size: 12px;
	padding-right: 1em;
	margin-top: 16px;
	font-style: normal;
	font-weight: 400;
	color: #bbb;
	text-transform: uppercase;
	letter-spacing: 2px;
}

blockquote::before {
	display: block;
	content: "\e81a";
	line-height: 1;
	font-size: 18px;
	position: absolute;
	left: 0;
	top: -12px;
}

.icon, .icon::before, .alert::before, blockquote::before, .flex-direction-nav a::before, .toggle h4::before, .search-toggle::before, .menu-toggle::before, .social-toggle::before, .mask::before, .post-format::before, .selector::before, .checker span::before, .radio span::before, .uploader span.action::before {
	font-family: fontello;
	font-style: normal;
	font-weight: 400;
	speak: none;
	display: inline-block;
	text-decoration: inherit;
	text-align: center;
	font-variant: normal;
	text-transform: none;
}

.embed-responsive{
    margin:20px; 
}

h2 {
	font-size: 1.5em;
	margin: 1.0em 0 0.4em 0;
	line-height: 1.3;
}

hr {
	padding: .2em 0 1em 0;
	margin-bottom: 2em;
	outline: 0;
	border-width: 0 0 1px 0;
	border-style: solid;
	border-color: #eee;
}

p, li {
	font-size: 19px;
	line-height: 30px;
}

.site-title {
	text-indent: 20px;
	font-size: 1.4em;
    font-weight:600; 
	letter-spacing: -1px;
    color: #333}


.nav{
    font-weight: 700; 
}

.navbar-nav{ 
    padding:0; margin:0; 
    }
.navbar-nav li { 
    line-height: 1; font-size: 15px; font-weight: bold; margin-left: 12px; margin-right: 12px; 
    }
.navbar-nav li a { 
     padding: 0.9em 22px; border-bottom: 1px solid #E7E7E7; 
    color:#333; 
    }
    .navbar{
        padding:0; line-height: 1.8; 
    }

.blog-post-meta{
		font-weight: 100;
		font-size: 0.9em;
		font-variant: small-caps; 
		text-align: center; 
	}

	.blog-post-title {
		text-align: center; 
	}

	.blog-post-title a{
		color: #333;
	}

	.blog-main h1{
		font-variant: small-caps; 
		text-align: center;
	}

	.blog-summary-image{
		width: 90%;
		margin: 0 auto;  
		min-height: 150px; 
		background-position: center center; 
		background-size: cover; 
	}

	.card-custom{
		width: 90vw;
		margin: 0.5vw; 
		flex: 1; 
		max-width: 90vw; 
	}

	.card-custom a{
		color: #333; 
	}

	.card-custom a:hover{
		text-decoration: none; 
		background-blend-mode: screen; 
	}

	.card-topper{
		width: 90vw;
		height: 60vw;
		background-position: center center; 
		background-size: cover;
	}

	.menu-button{
		margin:25px; 
		border: thin grey solid; 
		padding: 5px; 
		border-radius: 10px; 
		position: relative; 
		display: inline-block;
		left: -10vw; 
		top: -1.5vh; 
	}

	.top-image
	{
		min-height: 150px;
		margin-bottom: 30px; 
	}


@media (min-width: 768px)
{
		.card-topper{
		width: 45vw;
		height: 25vw;
		background-position: center center; 
		background-size: cover;
	}
		.card-custom{
		width: 45vw;
		margin: 0.5vw; 
		flex: 1; 
		max-width: 45vw; 
	}
    h2 {
	font-size: 2.10em;
}
.top-image
	{
		min-height: 250px;
	}
blockquote {
	font-size: 2em !important;
	line-height: 1.3 !important;
}

}

@media (min-width: 1024px)
{
	.card-topper{
		width: 29vw;
		height: 17vw;
	}
.card-custom{
		width: 29vw;
		margin: 0.5vw; 
		max-width: 29vw;
	}
}

@media (min-width: 1279px)
{
	.card-topper{
		width: 22vw;
		height: 12.5vw;
	}
.card-custom{
		width: 22vw;
		margin: 0.5vw; 
		max-width: 22vw;
	}
	.top-image
	{
		min-height: 400px;
		margin-bottom: 75px;
	}
}
</style>
<link href="https://fonts.googleapis.com/css?family=Noticia+Text" rel="stylesheet"> 
<link rel="stylesheet" id="fontello-css" href="../wp-content/themes/readme/css/fonts/fontello/css/fontello.css" type="text/css" media="all">
  </head>

  <body>

<div id="disclaimer" style="display: block; visibility: visible; top: 0; width: 100%;        font-size: 25px; color: #eee; background-color: #333; border: 2px solid #888; margin-bottom: 30px; padding-left: 10%; padding-right: 10%;"> <a href="https://en.wikipedia.org/wiki/Strange_Company" style="color: #55c;">Strange Company</a>`s Director, <a href="https://www.heraldscotland.com/opinion/16060383.obituary-hugh-russell-paul-hancock-machinima-founder-virtual-reality-pioneer/" style="color: #55c;">Hugh Hancock</a>, died in 2018. <strong>Strange Company</strong> is no longer a registered Company. This site is part of his body of work, and as such it is hosted and maintained by a group of volunteers and as an archive of his work. A comprehensive list of the works being archived can be found <a href="https://strangecompany.org/archive/">here</a>. If you have any problems with the site,     please <a href="https://forms.gle/boqVcQxNyVvYFFEW7" style="color: #55c;">report them using this form</a>. </div>




    <nav class="navbar navbar-toggleable-md">
      <button class="navbar-toggler navbar-toggler-right" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
        Menu
      </button>
      <a class="site-title navbar-brand " href="../index.html">Strange Company</a>
      <div class="collapse navbar-collapse" id="navbarNav">
        <ul class="navbar-nav mr-auto mt-2 mt-md-0">
        <li class="nav-item"> 
          <a href="../news/index.html" class="nav-link">Latest News</a>
        </li>
        <li class="nav-item"> 
          <a href="../articles/index.html" class="nav-link">Articles by Hugh</a>
        </li>
        <li class="nav-item"> 
          <a href="../about/index.html" class="nav-link">About Hugh Hancock And Strange Company</a>
        </li>
        <li class="nav-item"> 
          <a href="../vr/index.html" class="nav-link">My Virtual Reality Games</a>
        </li>
        <li class="nav-item"> 
          <a href="../films-and-comics/index.html" class="nav-link">My Movies And Comics</a>
        </li>
        <li class="nav-item"> 
          <a href="../other-projects/index.html" class="nav-link">My Other Projects</a>
        </li>
        <li class="nav-item"> 
          <a href="../contact/index.html" class="nav-link">Contact Me / Social Media</a>
        </li>
        </ul>
      </div>
   </nav>

<div class="container-fluid top-image" style="background-image: url( ../media/Zelieck-Head.jpg  ); background-size:cover; background-position: center center"></div>
    <div class="container">
      <div class="row">
        <div class="col-sm-12 blog-main">

          


<article class="blog-post">
  <header>
    <h2 class="blog-post-title"><a href="index.html">Why A Frozen Head Slows My Films Right Down</a></h2>
  </header>
  

<p>What the hell takes so long in my filmmaking?</p>

<p>That&rsquo;s a question I&rsquo;ve been spending a lot of time asking myself recently.</p>

<p>As of Friday, I&rsquo;ve just completed the Release Candidate render for Death Knight Love Story, which I started making in 2009. Before that, I took approximately the same length of time to make my first feature film, BloodSpell.</p>

<p>Both of these are pretty significant projects, granted. One of them stars Brian Blessed, Joanna Lumley, Jack Davenport and Anna Chancellor. The other was a full-length animated feature film which has ended up being watched by hundreds of thousands of people.</p>

<p>But still, five years?</p>

<p>So I&rsquo;ve been bugfixing, looking at my approach and figuring out what takes the time.</p>

<p>There are a lot of things that have popped up in the list, but one is a problem that&rsquo;s common across all forms of animated filmmaking. And yet, when I talk to a lot of Machinima filmmakers in particular, they aren&rsquo;t aware of the concept.</p>

<p>I&rsquo;m referring to the concept of an animation &ldquo;Pipeline&rdquo;.</p>

<h2 id="problems-in-the-pipeline">Problems In The Pipeline?</h2>

<p>The pipeline of a project is the process of taking data from script to final .mp4 file (or whatever). It&rsquo;s all the transformations, folding, spindling, and conversion processes that lurk invisibly in any animator&rsquo;s workflow - and frequently gum up the works.</p>

<p>People who are experienced in the conventional 3D world are probably already nodding their heads at this point. But if you&rsquo;re not familiar with this concept, here are a few examples.</p>

<p><img src="../media/Zelieck-Head.jpg" alt="Zelieck-Head" />Let&rsquo;s take characters - which start out as descriptions, become 3D models, then end up being rendered with the rest of the film. On Death Knight Love Story, our characters were first drawn as flat 2D images, which were then translated into a 3D sculpture in the software package Maya. Our modellers then saved those files as &ldquo;FBX&rdquo; files, which in theory is a compatible format with most 3D software, and sent them to us.</p>

<p>Here&rsquo;s where the fun begins. For starters, there are a whole bunch of invisible requirements buried in the phrase &ldquo;character model&rdquo;.</p>

<p>For example, they need to have a certain number of triangles and points in their structure, or subsequent 3D packages that have limitations on the number of triangles they can display (like pretty much any realtime 3D package) will choke and die. So it&rsquo;s theoretically possible that you can end up having a completed model, animating that model, putting it into your renderer - and then realising you need to go back to the drawing board and make it again.</p>

<p>Here&rsquo;s another issue: models need to have textures, the images which give them colour and detail. But those textures can cause all sorts of problems.</p>

<p>The Unreal engine, for example, will only accept textures in a very specific resolution. You might think you can just resize them later in Photoshop - but sometimes that won&rsquo;t work, thanks to something else called a &ldquo;UV Map&rdquo; which determines exactly how a flat texture maps onto a 3-dimensional model. Didn&rsquo;t realise that Unreal would have a problem with your textures? Welcome to Redo City, population you.</p>

<p>We also use other textures designed to signal fine detail - but there are a few different ways those can be formatted, and if you get the wrong one, when you load the model into a program that requires a different format, it won&rsquo;t work. And again, that means going back up the pipeline, redoing that particular texture in some way, and then shoving it down the pipe again.</p>

<p>And so on.</p>

<p>The examples I&rsquo;ve given above are pretty simple, but once you&rsquo;ve solved these problems, others emerge. Subtle differences in the way programs consider 3D space to work. Different creative limitations in different packages. And so on.</p>

<p>Even at huge companies like Pixar or Dreamworks, these problems gum up the works all the time. Indeed, they gum up the works so much that large 3D companies have entire teams of programmers dedicated to solving them, doing things up to and including creating entire new 3D formats to solve their pipeline problems.</p>

<h2 id="the-pipeline-s-not-just-tech">The Pipeline&rsquo;s Not Just Tech</h2>

<p>Pipeline problems can also lead to hidden bear-traps for particular creative decisions.</p>

<p>For example, in the early days of Death Knight Love Story we didn&rsquo;t exactly know how we were going to do our facial animation. That meant that when I was having our character models created, I decided that we&rsquo;d add mouth geometry later. We didn&rsquo;t know exactly what technique or requirement would be best, we wouldn&rsquo;t be able to tell until we&rsquo;d done some animation, and I didn&rsquo;t want to spend a lot of money modeling features that we&rsquo;d end up ripping out and changing.</p>

<p>That meant we ended up with faces that didn&rsquo;t have detailed geometry for the inside of the characters&rsquo; mouths. Shouldn&rsquo;t be a problem, because it&rsquo;s easy enough to add detail to a figure later. Except&hellip;</p>

<p><img src="../media/Mouth-Freak-2.jpg" alt="Mouth-Freak-2" />One of the later stages of character creation is attaching the model&rsquo;s triangles to &ldquo;bones&rdquo; that control the character&rsquo;s movement. So, the head triangles get attached to the &ldquo;Skull&rdquo; bone, whilst the hand triangles are split between the &ldquo;Hand&rdquo; and &ldquo;Finger&rdquo; bones.</p>

<p>When we realised that we needed new facial geometry, it was fairly simple for Tom, who was working on the facial animation, to sculpt us some teeth and a tongue. But then we discovered that whilst they looked great in place, as soon as we loaded the model into 3D Studio Max, every single triangle on the model stopped talking to its bones.</p>

<p>Why?</p>

<p>Because changing the geometry changes the number of &ldquo;vertexes&rdquo; (points) in the model, and 3D Studio Max keeps track of its connections between bones and triangles by looking up the internal number of vertexes. So as soon as we added a few, Max saw that it had some vertexes it didn&rsquo;t recognise. And it turns out that Max&rsquo;s default behaviour in that case is to throw a massive wobbler and refuse to work at all until everything&rsquo;s completely reconnected from the ground up.</p>

<p>We&rsquo;ve ended up having to animate entirely separate inner-mouth models for each of our heroes and carefully position them inside our characters&rsquo; heads!</p>

<h2 id="so-how-do-you-smooth-your-pipes">So How Do You Smooth Your Pipes?</h2>

<p>One of the biggest speed-ups for any 3D process is, simply, having done it before.</p>

<p>The first time you make a film, you&rsquo;ll encounter a whole bunch of problems. They&rsquo;ll slow you right down - like our mouth issue - but once you&rsquo;ve solved them, you don&rsquo;t have to solve them again.</p>

<p>On BloodSpell, we wrote software tools to let us control mobs of characters in Neverwinter Nights, after realising the in-game tools made mass control a nightmare. On Death Knight Love Story, we&rsquo;ve figured out the obscure (and, cough, undocumented) commands that make Mach Studio Pro&rsquo;s global illumination pretty, and have Python scripts that let us automatically re-apply the textures that always fall off in the conversion process from game to film. We know how to do facial animation the Right Way, and we know what&rsquo;s likely to magically break when we hit &ldquo;Export&rdquo; in any given tool.</p>

<p>Unfortunately, nearly every time I&rsquo;ve made a film, I&rsquo;ve ended up having to create an entire pipeline for it: from the early days of making movies in Quake, back in 1997, to working on unreleased AAA game technology with Electronic Arts in 2001, through to modding Neverwinter Nights beyond recognition for BloodSpell and on to Death Knight Love Story.</p>

<p>In Death Knight Love Story&rsquo;s case, I&rsquo;ve actually ended up creating two pipelines: one for the first drafts of the film using Motionbuilder and early motion capture, and a second one for using the exciting renderer Mach Studio Pro and our Xsens mocap suits.</p>

<p>Fortunately, this time is the last time I should have to completely change pipeline. Whilst I&rsquo;m changing the way we create characters and sets, and I&rsquo;m changing the way we render out images at the end, the central core of our production process will at least be similar for future films to the one we&rsquo;re using now.</p>

<h2 id="smooth-pipes-all-around-for-machinima-at-least">Smooth Pipes All Around - For Machinima, At Least</h2>

<p>On a wider scale, that&rsquo;s happening all across Machinima. Wheras 10 years ago we were all merrily hopping from game engine to game engine, reinventing wheels as we went, these days many of the core Machinima tools have stabilised.</p>

<p>Moviestorm, Second Life, iClone, Motionbuilder - all of these have been around for a while and don&rsquo;t show any signs of vanishing any time soon.</p>

<p>And whilst there are still exciting things happening in 3D, overall there&rsquo;s not the same mad pace of change as there was in the early 2000s.</p>

<p>That&rsquo;s actually good. New technology comes with hidden overheads, as I&rsquo;ve shown in this article. Now that we&rsquo;re starting to home in on things that Just Work, I think we can expect the pace of production to go up.</p>

<p>And personally, I&rsquo;m expecting my productivity to shoot up the first time I get to make a new film with a pipeline I already understand. I&rsquo;m already seeing the benefits with some of our new production tests.</p>

<p>It&rsquo;s strange for such a technophile artform to celebrate innovation slowing down.</p>

<p>But for Machinima, &ldquo;nothing much new&rdquo; might actually herald a golden age of productivity.</p>


  

  
  <hr>
  <footer>


  
  </footer>
  

</article> 



        </div> <!-- /.blog-main -->


      </div> <!-- /.row -->
    </div> <!-- /.container -->

    <footer class="blog-footer">

    </footer>
<script src="https://code.jquery.com/jquery-3.1.1.slim.min.js" integrity="sha384-A7FZj7v+d/sdmMqp/nOQwliLvUsJfDHW+k9Omg/a/EheAdgtzNs3hpfag6Ed950n" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/tether/1.4.0/js/tether.min.js" integrity="sha384-DztdAPBWPRXSA/3eYEEUWrWCy7G5KFbe8fFjk5JAIxUYHKkDx6Qin1DkWx51bBrb" crossorigin="anonymous"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-alpha.6/js/bootstrap.min.js" integrity="sha384-vBWWzlZJ8ea9aCX4pEW3rVHjgjt7zpkNpZk+02D9phzyeVkE+jo0ieGizqPLForn" crossorigin="anonymous"></script>
  </body>

</html>
